Class | YAML::Object
In: | syck/rubyext.c
Parent: | Object

### Methods

new yaml_initialize

### Public Class methods

new(p1, p2)

YAML::Object.initialize

[Source]

    /*
     * YAML::Object.initialize
     */
    VALUE
    syck_yobject_initialize( self, klass, ivars )
        VALUE self, klass, ivars;
    {
        rb_iv_set( self, "@class", klass );
        rb_iv_set( self, "@ivars", ivars );
        return self;
    }

### Public Instance methods

yaml_initialize(p1, p2)

YAML::Object.initialize

[Source]

    /*
     * YAML::Object.initialize
     */
    VALUE
    syck_yobject_initialize( self, klass, ivars )
        VALUE self, klass, ivars;
    {
        rb_iv_set( self, "@class", klass );
        rb_iv_set( self, "@ivars", ivars );
        return self;
    }

[Validate]